Skip to main content

Divio Cloud API - Applications management (v3 (v3))

Download OpenAPI specification:Download

app-templates

ListAppTemplates

List app templates

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetAppTemplate

Get the details of a single app template

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this app template.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "identifier": "string",
  • "name": "string",
  • "short_description": "string",
  • "icon_dark_mode": "http://example.com",
  • "is_default": true,
  • "order": -2147483648,
  • "release_commands": [
    ],
  • "services": [
    ],
  • "tags": [
    ]
}

application-activities

ListApplicationActivities

List application activities

Authorizations:
Token
query Parameters
application
string <uuid>
avatar_size
string
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

type
string
user_name
string

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetApplicationActivity

Get the details of a single application activity

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "created_at": "2019-08-24T14:15:22Z",
  • "user": "76f62a58-5404-486d-9afc-07bded328704",
  • "impersonated": true,
  • "description": "string",
  • "type": "string",
  • "context": null,
  • "user_name": "string",
  • "user_email": "string",
  • "user_avatar_images": {},
  • "user_is_removed": true
}

applications

ListApplications

List applications

Authorizations:
Token
query Parameters
avatar_sizes
string
copied_from
string <uuid>
copy_type
string
Enum: "COPY" "FORK" "MIRROR"
  • COPY - Copy
  • FORK - Fork
  • MIRROR - Mirror
has_bugs
boolean

has_bugs

is_mirror
boolean

is_mirror

is_suspended
boolean

is_suspended

is_undergoing_maintenance
boolean
name_search
string
o
Array of strings
Items Enum: "-created_at" "-name" "created_at" "name"

Ordering

  • name - name
  • -name - name (descending)
  • created_at - created_at
  • -created_at - created_at (descending)
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

requires_migration
boolean

requires_migration

screenshot_sizes
string
slug
string
tags
string

tags

uuid
Array of strings <uuid> [ items <uuid > ]

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateApplication

Create a new application object

Authorizations:
Token
Request Body schema:
required
name
required
string
region
required
string <uuid>
app_template
string or null <uri>
organisation
required
string <uuid>
plan_group
required
string <uuid>
repository
string or null <uuid>
branch
string
Default: "main"
repository_prepopulated
boolean
Default: false
Array of objects or null (ReleaseCommand)
slug
required
string
Array of objects (TagField) <= 50 items
disk
integer
transfer
integer
Array of objects or null (ContainerStructure)
Array of objects (ApplicationBillableServiceSubscriptionForApplicationCreation)

Responses

Request samples

Content type
{
  • "name": "string",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "app_template": "http://example.com",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "plan_group": "5c37c648-ad61-4e47-8032-3d80ebb8db75",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "branch": "main",
  • "repository_prepopulated": false,
  • "release_commands": [
    ],
  • "slug": "string",
  • "tags": [
    ],
  • "disk": 0,
  • "transfer": 0,
  • "container_structure": [
    ],
  • "billable_service_subscriptions": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "app_template": "http://example.com",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "branch": "main",
  • "repository_prepopulated": false,
  • "release_commands": [
    ],
  • "tags": [
    ],
  • "disk": 0,
  • "transfer": 0
}

GetApplication

Get the details of a single application

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
query Parameters
avatar_sizes
string
screenshot_sizes
string

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "slug": "string",
  • "name": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "screenshots": {},
  • "custom_screenshots": {},
  • "avatars": {},
  • "is_suspended": true,
  • "suspended_reason": "string",
  • "is_undergoing_maintenance": true,
  • "maintenance_reason": "string",
  • "copy_type": "COPY",
  • "is_repository_read_only": true,
  • "release_commands": [
    ],
  • "has_annotations": true,
  • "updates_available": true,
  • "created_at": "2019-08-24T14:15:22Z",
  • "active_subscription": "0febfabb-3743-40fd-aa49-15c46a5d041c",
  • "tags": [
    ],
  • "on_free_trial": true,
  • "free_trial_days_left": 0,
  • "copied_from": "b357c0e3-12ee-40ba-98e2-dcf185d29328",
  • "screenshot_taken_at": "2019-08-24T14:15:22Z",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "unconfirmed_subscription": "9322125f-9b73-486b-a06e-f48ffbe0e7ab",
  • "support_level": "string",
  • "mirrors_count": 0,
  • "upcoming_maintenances_count": 0,
  • "port": 0,
  • "startup_probe_max_retries": 0,
  • "startup_probe_request_timeout": 0,
  • "startup_probe_retry_timeout": 0,
  • "requires_migration": true,
  • "requires_migration_to": "74d37c0e-ec63-4b3c-9571-b6efd1773b80",
  • "is_locked": true,
  • "features": [
    ],
  • "permissions": [
    ],
  • "can_add_environment": true
}

UpdateApplication

Replace the specified application

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
name
required
string <= 255 characters
maintenance_window_start
integer [ 0 .. 2147483647 ]
maintenance_window_duration
integer [ 0 .. 2147483647 ]
Array of objects (ReleaseCommand)
port
integer or null [ 0 .. 2147483647 ]
startup_probe_max_retries
integer [ 1 .. 1000 ]
startup_probe_request_timeout
integer [ 1 .. 60 ]
startup_probe_retry_timeout
integer [ 1 .. 600 ]
Array of objects (TagField) <= 50 items

Responses

Request samples

Content type
{
  • "name": "string",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "release_commands": [
    ],
  • "port": 2147483647,
  • "startup_probe_max_retries": 1,
  • "startup_probe_request_timeout": 1,
  • "startup_probe_retry_timeout": 1,
  • "tags": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "release_commands": [
    ],
  • "port": 2147483647,
  • "startup_probe_max_retries": 1,
  • "startup_probe_request_timeout": 1,
  • "startup_probe_retry_timeout": 1,
  • "tags": [
    ]
}

PartialUpdateApplication

Partially update the specified application

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
name
string <= 255 characters
maintenance_window_start
integer [ 0 .. 2147483647 ]
maintenance_window_duration
integer [ 0 .. 2147483647 ]
Array of objects (ReleaseCommand)
port
integer or null [ 0 .. 2147483647 ]
startup_probe_max_retries
integer [ 1 .. 1000 ]
startup_probe_request_timeout
integer [ 1 .. 60 ]
startup_probe_retry_timeout
integer [ 1 .. 600 ]
Array of objects (TagField) <= 50 items

Responses

Request samples

Content type
{
  • "name": "string",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "release_commands": [
    ],
  • "port": 2147483647,
  • "startup_probe_max_retries": 1,
  • "startup_probe_request_timeout": 1,
  • "startup_probe_retry_timeout": 1,
  • "tags": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "release_commands": [
    ],
  • "port": 2147483647,
  • "startup_probe_max_retries": 1,
  • "startup_probe_request_timeout": 1,
  • "startup_probe_retry_timeout": 1,
  • "tags": [
    ]
}

ArchiveApplication

Archive the specified application

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
verify_name
required
string
delete_immediately
boolean
Default: false

Archive and then immediately delete the application, bypassing the regular time gap between these two actions

Responses

Request samples

Content type
{
  • "verify_name": "string",
  • "delete_immediately": false
}

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

UploadApplicationAvatar

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
file
required
string <uri>

Responses

Response samples

Content type
application/json
{ }

DeleteApplicationAvatar

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

CopyApplication

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
target_name
required
string
target_organisation
required
string <uuid>
type
required
string (ApplicationCopyTypeEnum)
Enum: "FORK" "MIRROR"
  • FORK - Fork
  • MIRROR - Mirror

Responses

Request samples

Content type
{
  • "target_name": "string",
  • "target_organisation": "1ba5f218-3c9c-4588-ba61-f31e797a3b6f",
  • "type": "FORK"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "slug": "string",
  • "name": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "screenshots": {},
  • "custom_screenshots": {},
  • "avatars": {},
  • "is_suspended": true,
  • "suspended_reason": "string",
  • "is_undergoing_maintenance": true,
  • "maintenance_reason": "string",
  • "copy_type": "COPY",
  • "is_repository_read_only": true,
  • "release_commands": [
    ],
  • "has_annotations": true,
  • "updates_available": true,
  • "created_at": "2019-08-24T14:15:22Z",
  • "active_subscription": "0febfabb-3743-40fd-aa49-15c46a5d041c",
  • "tags": [
    ],
  • "on_free_trial": true,
  • "free_trial_days_left": 0,
  • "copied_from": "b357c0e3-12ee-40ba-98e2-dcf185d29328",
  • "screenshot_taken_at": "2019-08-24T14:15:22Z",
  • "maintenance_window_start": 2147483647,
  • "maintenance_window_duration": 2147483647,
  • "unconfirmed_subscription": "9322125f-9b73-486b-a06e-f48ffbe0e7ab",
  • "support_level": "string",
  • "mirrors_count": 0,
  • "upcoming_maintenances_count": 0,
  • "port": 0,
  • "startup_probe_max_retries": 0,
  • "startup_probe_request_timeout": 0,
  • "startup_probe_retry_timeout": 0,
  • "requires_migration": true,
  • "requires_migration_to": "74d37c0e-ec63-4b3c-9571-b6efd1773b80",
  • "is_locked": true,
  • "features": [
    ],
  • "permissions": [
    ],
  • "can_add_environment": true
}

MigrateApplicationToExternalRepository

Migrates an application to an external repository.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
repository
required
string <uuid>

Responses

Request samples

Content type
{
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b"
}

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

UploadApplicationScreenshot

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
file
required
string <uri>

Responses

Response samples

Content type
application/json
{ }

DeleteApplicationScreenshot

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

TransferApplication

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
organisation
required
string <uuid>

Responses

Request samples

Content type
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

backup-download-service-instances

ListBackupDownloadServiceInstances

List backup download service instances

Authorizations:
Token
query Parameters
backup_download
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

service_instance_backup
string <uuid>

Responses

Response samples

Content type
application/json
{}

GetBackupDownloadServiceInstance

Get the details of a single backup download service instance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this backup download service instance.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup_download": "9588f5ec-96c6-4b5e-a1a5-0ca7c8bee2ac",
  • "service_instance_backup": "4161e5a6-3fef-4502-a0fe-dd044768b370",
  • "download_url": "http://example.com",
  • "queued_at": "2019-08-24T14:15:22Z",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "errors": [
    ]
}

backup-downloads

ListBackupDownloads

List backup downloads

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

CreateBackupDownload

Create a new backup download object

Authorizations:
Token
Request Body schema:
required
backup
required
string <uuid>
trigger
required
string (TriggerBbfEnum)
Enum: "MANUAL" "PULL"
  • MANUAL - Manual
  • PULL - Pull
service_instance_backups
required
Array of strings <uuid> [ items <uuid > ]

Responses

Request samples

Content type
{
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "trigger": "MANUAL",
  • "service_instance_backups": [
    ]
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "trigger": "MANUAL"
}

GetBackupDownload

Get the details of a single backup download

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this backup download.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "author": "32ad2cdb-22a2-48aa-a42c-1c53a9afc4bd",
  • "started_at": "2019-08-24T14:15:22Z",
  • "trigger": "MANUAL"
}

backup-restores

ListBackupRestores

List backup restores

Authorizations:
Token
query Parameters
environment
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateBackupRestore

Create a new backup restore object

Authorizations:
Token
Request Body schema:
required
backup
required
string <uuid>
required
Array of objects (BackupRestoreServiceInstanceParams)
notes
string <= 255 characters

Responses

Request samples

Content type
{
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "service_instance_restores": [
    ],
  • "notes": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "service_instance_restores": [
    ],
  • "notes": "string"
}

GetBackupRestore

Get the details of a single backup restore

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this backup restore.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "org_membership": "052d699a-f769-42f1-9cac-4bfd43f3660b",
  • "started_at": "2019-08-24T14:15:22Z",
  • "trigger": 0,
  • "finished": true,
  • "success": "SUCCESS",
  • "notes": "string",
  • "service_instance_backup_restores": [
    ]
}

backup-retention-configurations

ListBackupRetentionConfigurations

List backup retention configurations

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetBackupRetentionConfiguration

Get the details of a single backup retention configuration

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "identifier": "string",
  • "short_description": "string"
}

backups

ListBackups

List backups

Authorizations:
Token
query Parameters
environment
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateBackup

Create a new backup object

Authorizations:
Token
Request Body schema:
required
environment
required
string <uuid>
notes
string <= 255 characters
services
required
Array of strings <uuid> [ items <uuid > ]
scheduled_for_deletion_at
string or null <date-time>

Timestamp of when this backup shall be effectively deleted from the system.

Responses

Request samples

Content type
{
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "notes": "string",
  • "services": [
    ],
  • "scheduled_for_deletion_at": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "trigger": "MANUAL",
  • "notes": "string",
  • "scheduled_for_deletion_at": "2019-08-24T14:15:22Z"
}

GetBackup

Get the details of a single backup

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this backup.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "org_membership": "052d699a-f769-42f1-9cac-4bfd43f3660b",
  • "tags": [
    ],
  • "created": "2019-08-24T14:15:22Z",
  • "notes": "string",
  • "state": "WAITING",
  • "size": 0,
  • "meta_information": null,
  • "service_instance_backups": [
    ],
  • "scheduled_for_deletion_at": "2019-08-24T14:15:22Z",
  • "success": "SUCCESS"
}

UploadBackups

Request the necessary information to upload a local backup to divio. The response contains one result entry per service instance UUID. Each result entry defines a handler type that determines the content of the upload_parameters, and a finish_url that needs to be called once the upload has been performed. For example, the s3-sts-v1 handler returns AWS credentials and bucket information that can be used with the S3 boto3 client upload_file operation.

Authorizations:
Token
Request Body schema:
required
services
required
Array of strings <uuid> [ items <uuid > ]
environment
required
string <uuid>
notes
string
scheduled_for_deletion_at
string <date-time>

Responses

Request samples

Content type
{
  • "services": [
    ],
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "notes": "string",
  • "scheduled_for_deletion_at": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "uuid": "string",
  • "results": {
    }
}

builds

ListBuilds

List builds

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetBuild

Get the details of a single build

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this build.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "website": "f40b6ff2-3de0-4afd-9c60-780796939bcc",
  • "build_type": "string",
  • "start": "2019-08-24T14:15:22Z",
  • "end": "2019-08-24T14:15:22Z",
  • "git_commit": "string",
  • "docker_image": "string"
}

PostBuildCloudevent

This function receives the final cloud event of a build task.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this build.

Responses

charges

ListCharges

List charges

Authorizations:
Token
query Parameters
invoice
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetCharge

Get the details of a single charge

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "invoice": "f5072b7b-65cb-48aa-bf69-c999195da70c",
  • "currency": "string",
  • "amount": -2147483648,
  • "charged_at": "2019-08-24T14:15:22Z",
  • "status": "SUCCEEDED",
  • "charge_target": "string",
  • "fail_message": "string"
}

container-registries

ListContainerRegistries

List container registries

Authorizations:
Token
query Parameters
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

CreateContainerRegistry

Create a new container registry object

Authorizations:
Token
Request Body schema:
required
server
required
string <= 255 characters
organisation
required
string <uuid>
username
required
string
password
required
string

Responses

Request samples

Content type
{
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

GetContainerRegistry

Get the details of a single container registry

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Container Registry.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

UpdateContainerRegistry

Replace the specified container registry

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Container Registry.

Request Body schema:
required
server
required
string <= 255 characters
organisation
required
string <uuid>
username
required
string
password
required
string

Responses

Request samples

Content type
{
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

PartialUpdateContainerRegistry

Partially update the specified container registry

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Container Registry.

Request Body schema:
server
string <= 255 characters
organisation
string <uuid>
username
string
password
string

Responses

Request samples

Content type
{
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "server": "string",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

DestroyContainerRegistry

Delete the specified container registry

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Container Registry.

Responses

container-specifications

container_specifications_retrieve

Authorizations:
Token

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "memory": 0,
  • "cpu": 0.1
}

countries

ListCountries

List countries

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetCountry

Get the details of a single country

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "short_name": "string",
  • "long_name": "string"
}

cronjobs

ListCronjobs

List cronjobs

Authorizations:
Token
query Parameters
environment
string <uuid>
limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Responses

Response samples

Content type
application/json
{}

CreateCronjob

Create a new cronjob object

Authorizations:
Token
Request Body schema:
required
command
required
string
frequency
required
string (FrequencyEnum)
Enum: "DAILY" "HOURLY" "EVERY10MIN"
  • DAILY - Daily
  • HOURLY - Hourly
  • EVERY10MIN - Every 10 minutes
time
string <= 16 characters

Time of day (e.g "02:30") for "Daily". Minute of hour (e.g ":42" for "Hourly" Empty for "Every 10 minutes"

environment
required
string <uuid>
custom_timeout
integer or null [ 0 .. 2147483647 ]

Number of seconds before running cron jobs get terminated

Responses

Request samples

Content type
{
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "custom_timeout": 2147483647
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "custom_timeout": 2147483647
}

GetCronjob

Get the details of a single cronjob

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this cronjob.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "custom_timeout": 2147483647
}

UpdateCronjob

Replace the specified cronjob

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this cronjob.

Request Body schema:
required
command
required
string
frequency
required
string (FrequencyEnum)
Enum: "DAILY" "HOURLY" "EVERY10MIN"
  • DAILY - Daily
  • HOURLY - Hourly
  • EVERY10MIN - Every 10 minutes
time
string <= 16 characters

Time of day (e.g "02:30") for "Daily". Minute of hour (e.g ":42" for "Hourly" Empty for "Every 10 minutes"

custom_timeout
integer or null [ 0 .. 2147483647 ]

Number of seconds before running cron jobs get terminated

Responses

Request samples

Content type
{
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "custom_timeout": 2147483647
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "custom_timeout": 2147483647
}

PartialUpdateCronjob

Partially update the specified cronjob

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this cronjob.

Request Body schema:
command
string
frequency
string (FrequencyEnum)
Enum: "DAILY" "HOURLY" "EVERY10MIN"
  • DAILY - Daily
  • HOURLY - Hourly
  • EVERY10MIN - Every 10 minutes
time
string <= 16 characters

Time of day (e.g "02:30") for "Daily". Minute of hour (e.g ":42" for "Hourly" Empty for "Every 10 minutes"

custom_timeout
integer or null [ 0 .. 2147483647 ]

Number of seconds before running cron jobs get terminated

Responses

Request samples

Content type
{
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "custom_timeout": 2147483647
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "command": "string",
  • "frequency": "DAILY",
  • "time": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "custom_timeout": 2147483647
}

DestroyCronjob

Delete the specified cronjob

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this cronjob.

Responses

GetCronjobLogs

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this cronjob.

Responses

Response samples

Content type
application/json
{
  • "started_at": "2019-08-24T14:15:22Z",
  • "finished_at": "2019-08-24T14:15:22Z",
  • "exit_code": 0
}

deployments

ListDeployments

List deployments

Authorizations:
Token
query Parameters
application
string <uuid>
environment
string <uuid>
is_success
boolean
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

task
string

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateDeployment

Create a new deployment object

Authorizations:
Token
Request Body schema:
required
environment
required
string <uuid>
build_mode
string
Default: "AUTO"
Enum: "AUTO" "ADOPT" "FORCE"
  • AUTO - Build a new container image if there are new commits, otherwise reuse the latest one.
  • ADOPT - Use the latest container image.
  • FORCE - Build a new container image.
copy_from
string or null <uuid>
adopt_deployment
string <uuid>
provision_services
boolean
Default: true

Responses

Request samples

Content type
{
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "build_mode": "AUTO",
  • "copy_from": "144bc18e-5e55-4977-aab4-2906b01f1c12",
  • "adopt_deployment": "1b98127a-735f-4e51-849a-625e5717e523",
  • "provision_services": true
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "build_mode": "AUTO",
  • "copy_from": "144bc18e-5e55-4977-aab4-2906b01f1c12",
  • "adopt_deployment": "1b98127a-735f-4e51-849a-625e5717e523",
  • "provision_services": true
}

GetDeployment

Get the details of a single deployment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "org_membership": "052d699a-f769-42f1-9cac-4bfd43f3660b",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "duration": 0.1,
  • "status": "string",
  • "is_usable": true,
  • "success": true,
  • "git_commit": "string",
  • "alternative_dockerfile": "string",
  • "copy_from": "144bc18e-5e55-4977-aab4-2906b01f1c12",
  • "environment_variables": [
    ],
  • "percent": 0
}

PartialUpdateDeployment

Partially update the specified deployment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
status
string
is_usable
boolean
success
boolean or null

Responses

Request samples

Content type
{
  • "status": "string",
  • "is_usable": true,
  • "success": true
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "org_membership": "052d699a-f769-42f1-9cac-4bfd43f3660b",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "duration": 0.1,
  • "status": "string",
  • "is_usable": true,
  • "success": true,
  • "git_commit": "string",
  • "alternative_dockerfile": "string",
  • "copy_from": "144bc18e-5e55-4977-aab4-2906b01f1c12",
  • "environment_variables": [
    ],
  • "percent": 0
}

GetDeploymentEnvironmentVariables

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "org_membership": "052d699a-f769-42f1-9cac-4bfd43f3660b",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "duration": 0.1,
  • "status": "string",
  • "is_usable": true,
  • "success": true,
  • "git_commit": "string",
  • "alternative_dockerfile": "string",
  • "copy_from": "144bc18e-5e55-4977-aab4-2906b01f1c12",
  • "environment_variables": {
    }
}

GetDeploymentLogs

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "logs": "string"
}

CreateDeploymentsInBulk

Authorizations:
Token
query Parameters
adopt_deployment
string <uuid>
application
string
build_mode
string non-empty
Default: "AUTO"
Enum: "AUTO" "ADOPT" "FORCE"
  • AUTO - Build a new container image if there are new commits, otherwise reuse the latest one.
  • ADOPT - Use the latest container image.
  • FORCE - Build a new container image.
copy_type
string
deployed
boolean
deploying
boolean
is_mirror
boolean
last_deployment_failed
boolean
limit
integer
o
string
organisation
string
related_to_application
string
slug
string
with_pending_commits
boolean

Responses

Response samples

Content type
application/json
{
  • "deployed": {
    },
  • "errored": {
    }
}

domains

ListDomains

List domains

Authorizations:
Token
query Parameters
application
string <uuid>
environment
string <uuid>
name
string
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateDomain

Create a new domain object

Authorizations:
Token
Request Body schema:
required
name
required
string <= 255 characters
environment
required
string <uuid>

Responses

Request samples

Content type
{
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166"
}

GetDomain

Get the details of a single domain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "last_check_status": true,
  • "last_check_timestamp": "2019-08-24T14:15:22Z",
  • "last_check_details": null,
  • "is_tls_enabled": true,
  • "is_redirect_to_primary": true,
  • "is_primary": true,
  • "is_editable": true,
  • "is_managed_by_divio": true,
  • "is_wildcard": true,
  • "is_monitored": true,
  • "setup_instructions_html": "string",
  • "additional_actions": [
    ],
  • "domain_config": {
    },
  • "state": "UNKNOWN",
  • "state_message": "string"
}

UpdateDomain

Replace the specified domain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
is_redirect_to_primary
boolean
object (DomainConfig)

Responses

Request samples

Content type
{
  • "is_redirect_to_primary": true,
  • "domain_config": {
    }
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "is_redirect_to_primary": true,
  • "domain_config": {
    }
}

PartialUpdateDomain

Partially update the specified domain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
is_redirect_to_primary
boolean
object (DomainConfig)

Responses

Request samples

Content type
{
  • "is_redirect_to_primary": true,
  • "domain_config": {
    }
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "is_redirect_to_primary": true,
  • "domain_config": {
    }
}

DestroyDomain

Delete the specified domain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

AdditionalDomainAction

Authorizations:
Token
path Parameters
domain_action
required
string^\w+(-*\w*)*$
uuid
required
string <uuid>
Request Body schema:
property name*
additional property
any

Responses

Request samples

Content type
{
  • "property1": null,
  • "property2": null
}

Response samples

Content type
application/json
{
  • "data": null
}

MakePrimaryDomain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

ToggleRedirectDomain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "redirect_to_primary": true,
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"
}

TransferDomain

Authorizations:
Token
path Parameters
uuid
required
string <uuid>
Request Body schema:
required
target_environment
required
string <uuid>

Responses

Request samples

Content type
{
  • "target_environment": "3f17d230-ecb9-46b7-b3d9-8f7ccc5b2664"
}

Response samples

Content type
application/json
{
  • "target_environment": "3f17d230-ecb9-46b7-b3d9-8f7ccc5b2664"
}

environment-metric-metadata

ListEnvironmentMetricMetadata

List environment metric metadata

Authorizations:
Token
query Parameters
environment
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetEnvironmentMetricMetadata

Get the details of a single environment metric metadata

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment metric.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "identifier": "string",
  • "is_visible": true,
  • "title": "string",
  • "description": "string",
  • "chart_name": "string",
  • "chart_display": "line",
  • "unit": "string",
  • "unit_numerator": "string",
  • "unit_denominator": "string"
}

environment-variables

ListEnvironmentVariables

List environment variables

Authorizations:
Token
query Parameters
application
Array of strings <uuid> [ items <uuid > ]
environment
Array of strings <uuid> [ items <uuid > ]
environment_slug
string
is_read_only
boolean
is_sensitive
boolean
name
string
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

uuid
Array of strings <uuid> [ items <uuid > ]

Responses

Response samples

Content type
application/json
{}

CreateEnvironmentVariable

Create a new environment variable object

Authorizations:
Token
Request Body schema:
required
name
required
string <= 255 characters
environment
required
string <uuid>
value
string <= 10000 characters
is_sensitive
boolean

When active, the value of the environment variable should only be exposed upon authorization.

is_pattern_replacement_active
boolean

When active, the value of the environment variable will be processed for pattern replacement.

Responses

Request samples

Content type
{
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "value": "string",
  • "is_sensitive": true,
  • "is_pattern_replacement_active": true
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "value": "string",
  • "is_sensitive": true,
  • "is_read_only": true,
  • "is_pattern_replacement_active": true,
  • "order": 0
}

GetEnvironmentVariable

Get the details of a single environment variable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "value": "string",
  • "order": 32767,
  • "is_sensitive": true,
  • "is_read_only": true,
  • "is_pattern_replacement_active": true,
  • "date_created": "2019-08-24T14:15:22Z",
  • "date_modified": "2019-08-24T14:15:22Z"
}

UpdateEnvironmentVariable

Replace the specified environment variable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Request Body schema:
required
name
required
string <= 255 characters
value
string <= 10000 characters
is_pattern_replacement_active
boolean

When active, the value of the environment variable will be processed for pattern replacement.

Responses

Request samples

Content type
{
  • "name": "string",
  • "value": "string",
  • "is_pattern_replacement_active": true
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "value": "string",
  • "is_sensitive": true,
  • "is_read_only": true,
  • "is_pattern_replacement_active": true,
  • "order": 0
}

PartialUpdateEnvironmentVariable

Partially update the specified environment variable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Request Body schema:
name
string <= 255 characters
value
string <= 10000 characters
is_pattern_replacement_active
boolean

When active, the value of the environment variable will be processed for pattern replacement.

Responses

Request samples

Content type
{
  • "name": "string",
  • "value": "string",
  • "is_pattern_replacement_active": true
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "value": "string",
  • "is_sensitive": true,
  • "is_read_only": true,
  • "is_pattern_replacement_active": true,
  • "order": 0
}

DestroyEnvironmentVariable

Delete the specified environment variable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Responses

MoveAfterEnvironmentVariable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Request Body schema:
required
target
required
string <uuid>

Responses

Request samples

Content type
{
  • "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"
}

Response samples

Content type
application/json
{
  • "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"
}

MoveBeforeEnvironmentVariable

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this Environment variable.

Request Body schema:
required
target
required
string <uuid>

Responses

Request samples

Content type
{
  • "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"
}

Response samples

Content type
application/json
{
  • "target": "65a17d54-9c67-4477-8b80-d3f97e165aa5"
}

environments

ListEnvironments

List environments

Authorizations:
Token
query Parameters
application
string <uuid>
copy_type
string
Enum: "COPY" "FORK" "MIRROR"
  • COPY - Copy
  • FORK - Fork
  • MIRROR - Mirror
deployed
boolean

deployed

deploying
boolean

deploying

is_mirror
boolean

is_mirror

last_deployment_failed
boolean

last deployment failed

name_search
string
o
Array of strings
Items Enum: "-application" "application"

Ordering

  • application - Application
  • -application - Application (descending)
organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

related_to_application
string <uuid>
slug
string
with_pending_commits
boolean

with_pending_commits

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateEnvironment

Create a new environment object

Authorizations:
Token
Request Body schema:
required
application
required
string <uuid>
slug
required
string <= 255 characters ^[-a-zA-Z0-9_]+$
branch
required
string
alternative_dockerfile
string or null <= 255 characters

Path to alternative dockerfile to be used to build images

Responses

Request samples

Content type
{
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "slug": "string",
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "slug": "string",
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

GetEnvironment

Get the details of a single environment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": {
    },
  • "slug": "string",
  • "branch": "string",
  • "is_production_grade": true,
  • "pending_commits_lookup": "string",
  • "has_pending_commits": true,
  • "alternative_dockerfile": "string",
  • "deployed_url": "http://example.com",
  • "last_finished_deployment": {
    },
  • "currently_running_deployment": {
    },
  • "currently_released_deployment": {
    },
  • "app_name": "string",
  • "primary_domain": "ba84b5a5-4ba6-45bc-ae67-5060535280fc",
  • "divio_domain": "string",
  • "application_config": null,
  • "ssh_endpoint": {
    },
  • "ondemand_backup_retention_config": "0b7f8b9e-2b00-428d-bffd-2e479c4f3bbb",
  • "scheduled_backup_config": "f4a22afa-cbac-47ae-8740-a20a06e344c9",
  • "next_scheduled_backup_occurence": "string",
  • "pending_commit_count": 0,
  • "has_pending_changes": true,
  • "pending_changes": [
    ],
  • "running_tasks": [
    ],
  • "built_in_environment_variables": [
    ]
}

UpdateEnvironment

Replace the specified environment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Request Body schema:
required
branch
required
string
alternative_dockerfile
string or null <= 255 characters

Path to alternative dockerfile to be used to build images

Responses

Request samples

Content type
{
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

PartialUpdateEnvironment

Partially update the specified environment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Request Body schema:
branch
string
alternative_dockerfile
string or null <= 255 characters

Path to alternative dockerfile to be used to build images

Responses

Request samples

Content type
{
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "branch": "string",
  • "alternative_dockerfile": "string"
}

DestroyEnvironment

Delete the specified environment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Responses

CopyEnvironment

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Request Body schema:
required
new_slug
required
string <= 255 characters ^[0-9a-z](-*[0-9a-z])*$

Responses

Request samples

Content type
{
  • "new_slug": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "application": {
    },
  • "slug": "string",
  • "branch": "string",
  • "is_production_grade": true,
  • "pending_commits_lookup": "string",
  • "has_pending_commits": true,
  • "alternative_dockerfile": "string",
  • "deployed_url": "http://example.com",
  • "last_finished_deployment": {
    },
  • "currently_running_deployment": {
    },
  • "currently_released_deployment": {
    },
  • "app_name": "string",
  • "primary_domain": "ba84b5a5-4ba6-45bc-ae67-5060535280fc",
  • "divio_domain": "string",
  • "application_config": null,
  • "ssh_endpoint": {
    },
  • "ondemand_backup_retention_config": "0b7f8b9e-2b00-428d-bffd-2e479c4f3bbb",
  • "scheduled_backup_config": "f4a22afa-cbac-47ae-8740-a20a06e344c9",
  • "next_scheduled_backup_occurence": "string",
  • "pending_commit_count": 0,
  • "has_pending_changes": true,
  • "pending_changes": [
    ],
  • "running_tasks": [
    ],
  • "built_in_environment_variables": [
    ]
}

GetEnvironmentLogs

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

query Parameters
action
string non-empty
container
string non-empty
from_ts
string <date-time>
limit
integer [ 1 .. 1000 ]
Default: 1000

Number of log records to return.

search_after
string non-empty
search_before
string non-empty
search_query
string [ 3 .. 32 ] characters
service
string non-empty
to_ts
string <date-time>
version
string non-empty

Responses

Response samples

Content type
application/json
{
  • "previous": "http://example.com",
  • "results": [
    ]
}

GetEnvironmentLogsOccurrence

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

query Parameters
action
string non-empty
container
string non-empty
from_ts
string <date-time>
number_of_buckets
integer [ 1 .. 30 ]
Default: 30

Number of uniformly distributed time-range buckets to put the found logs to.

search_query
string [ 3 .. 32 ] characters
service
string non-empty
to_ts
string <date-time>
version
string non-empty

Responses

Response samples

Content type
application/json
{
  • "occurrences": [
    ]
}

GetEnvironmentMetrics

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

query Parameters
from_ts
string
metric
required
Array of strings or null
time_window_preset
string non-empty
Enum: "1h" "6h" "12h" "24h" "7d"
  • 1h - 1h
  • 6h - 6h
  • 12h - 12h
  • 24h - 24h
  • 7d - 7d
to_ts
string

Responses

Response samples

Content type
application/json
{
  • "metrics": {
    },
  • "from_ts": "string",
  • "to_ts": "string",
  • "interval": 0
}

StopEnvironment

Stops the running environment instances.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this environment.

Responses

invoice-items

ListInvoiceItems

List invoice items

Authorizations:
Token
query Parameters
invoice
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetInvoiceItem

Get the details of a single invoice item

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "item_id": 2147483647,
  • "item_name": "string",
  • "item_class_name": "string",
  • "item_url": "http://example.com",
  • "item_obj_archived": true,
  • "duration": "string",
  • "options": "string",
  • "is_website_additional_service": true,
  • "invoice": "f5072b7b-65cb-48aa-bf69-c999195da70c",
  • "title": "string",
  • "start": "2019-08-24T14:15:22Z",
  • "end": "2019-08-24T14:15:22Z",
  • "total": "string"
}

invoices

ListInvoices

List invoices

Authorizations:
Token
query Parameters
id
integer
open
boolean

open

organisation
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetInvoice

Get the details of a single invoice

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "number": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "period": "string",
  • "billing_currency": "string",
  • "charge_total": "string",
  • "status": "DRAFT",
  • "charge_date": "2019-08-24",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "receipt": "http://example.com",
  • "payment_methods": "string",
  • "charge_info": "string",
  • "extra_info": "string"
}

licenses

ListLicenses

List licenses

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

maintenance-runs

ListMaintenanceRuns

List maintenance runs

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

status
string
Enum: "COMPLETED" "QUEUED" "RUNNING" "UPCOMING"
  • UPCOMING - Upcoming
  • QUEUED - Queued
  • COMPLETED - Completed
  • RUNNING - Running
website
string

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetMaintenanceRun

Get the details of a single maintenance run

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "pk": 0,
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "runbook": {
    },
  • "website": 0,
  • "application": "2b22d485-f04e-492b-b364-e14f8506726a",
  • "can_run": true,
  • "can_skip": true,
  • "can_cancel": true,
  • "estimated_execution_time": "string",
  • "running": true,
  • "completed": true,
  • "window": {
    },
  • "scheduled_window": {
    },
  • "execution_window": {
    },
  • "logs": [
    ]
}

CancelMaintenanceRun

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

RunMaintenanceRun

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

SkipMaintenanceRun

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

regions

ListRegions

List regions

Authorizations:
Token
query Parameters
name
string
organisation
string
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

short_name
string
uuid
Array of strings <uuid> [ items <uuid > ]

Responses

Response samples

Content type
application/json
{}

GetRegion

Get the details of a single region

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "short_name": "string",
  • "short_description_html": "string",
  • "icon_dark_mode": "http://example.com",
  • "cloudspace_hash": "string",
  • "is_public": true,
  • "is_default": true,
  • "ram_unit_size": 32767,
  • "ram_unit_price": "string",
  • "disk_unit_size": 2147483647,
  • "disk_unit_price": "string",
  • "transfer_unit_size": 2147483647,
  • "transfer_unit_price": "string"
}

repositories

ListRepositories

List repositories

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

CreateRepository

Create a new repository object

Authorizations:
Token
Request Body schema:
required
organisation
required
string <uuid>
url
required
string
username
string
password
string
github_installation_id
integer
key_type
string
Default: "ED25519"
Enum: "ED25519" "ECDSA" "RSA"

Supported key types for SSH key generation.

  • ED25519 - SSH key type: ED25519
  • ECDSA - SSH key type: ECDSA
  • RSA - SSH key type: RSA

Responses

Request samples

Content type
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "url": "string",
  • "username": "string",
  • "password": "string",
  • "github_installation_id": 0,
  • "key_type": "ED25519"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "auth_info": "string"
}

GetRepository

Get the details of a single repository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6",
  • "authentication_type": "USERPASS",
  • "is_read_only": true,
  • "authentication_config": {
    },
  • "last_pull_success": true,
  • "last_pulled_at": "2019-08-24T14:15:22Z",
  • "last_push_success": true,
  • "last_pushed_at": "2019-08-24T14:15:22Z",
  • "state": "UNKNOWN",
  • "state_message": "string"
}

UpdateRepository

Replace the specified repository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Request Body schema:
required
authentication_type
required
string (AuthenticationTypeEnum)
Enum: "USERPASS" "KEYPAIR" "GITHUB_APP"
  • USERPASS - Username and Password
  • KEYPAIR - Keypair
  • GITHUB_APP - Github App
authentication_config
any

Responses

Request samples

Content type
{
  • "authentication_type": "USERPASS",
  • "authentication_config": null
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "authentication_type": "USERPASS",
  • "authentication_config": null
}

PartialUpdateRepository

Partially update the specified repository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Request Body schema:
authentication_type
string (AuthenticationTypeEnum)
Enum: "USERPASS" "KEYPAIR" "GITHUB_APP"
  • USERPASS - Username and Password
  • KEYPAIR - Keypair
  • GITHUB_APP - Github App
authentication_config
any

Responses

Request samples

Content type
{
  • "authentication_type": "USERPASS",
  • "authentication_config": null
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "authentication_type": "USERPASS",
  • "authentication_config": null
}

DestroyRepository

Delete the specified repository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

CheckRepository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Request Body schema:
migrate
boolean
Default: false
branch
string
Default: "main"

Responses

Request samples

Content type
{
  • "migrate": false,
  • "branch": "main"
}

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

GetRepositoryCommits

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

query Parameters
lookup
required
string non-empty

The lookup is a git revision range in the format of https://git-scm.com/docs/gitrevisions#_specifying_ranges.

Responses

Response samples

Content type
application/json
{}

GetRepositoryEndpoint

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

Response samples

Content type
application/json
{
  • "connection_info": {
    },
  • "authentication_type": "USERPASS",
  • "authentication_info": {
    }
}

GenerateRepositoryKeypair

If applicable, generate a new public / private keypair.

Returns None for HTTPS authentication.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Request Body schema:
key_type
string
Default: "ED25519"
Enum: "ED25519" "ECDSA" "RSA"

Supported key types for SSH key generation.

  • ED25519 - SSH key type: ED25519
  • ECDSA - SSH key type: ECDSA
  • RSA - SSH key type: RSA

Responses

Request samples

Content type
{
  • "key_type": "ED25519"
}

Response samples

Content type
application/json
{
  • "public_key": "string"
}

PullRepository

Cleans the local repository (delete all unwatched files) and makes a pull from the repository.

On conflict, the remote information will be used and local conflicting commits will be discarded.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

ResetRepositoryToOrigin

Hard resets the local repository copy to back to origin.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

TransferRepository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Request Body schema:
required
organisation
required
string <uuid>

Responses

Request samples

Content type
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

Response samples

Content type
application/json
{
  • "organisation": "a4b97354-4e56-4723-bc0e-1f22b5fcbed6"
}

VerifyRepository

Verify push pull permissions on a repository

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this repository.

Responses

Response samples

Content type
application/json
{
  • "status": true,
  • "message": "string",
  • "code": "string"
}

scheduled-backup-configurations

ListScheduledBackupConfigurations

List scheduled backup configurations

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{}

GetScheduledBackupConfiguration

Get the details of a single scheduled backup configuration

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "identifier": "string",
  • "short_description": "string",
  • "retention_config": "fc93398e-ac85-4aad-89e2-ccdd72073c9f"
}

schema

schema_retrieve

OpenApi3 schema for this API. Format can be selected via content negotiation.

  • YAML: application/vnd.oai.openapi
  • JSON: application/vnd.oai.openapi+json
Authorizations:
TokenNone
query Parameters
format
string
Enum: "json" "yaml"
lang
string
Enum: "af" "ar" "ar-dz" "ast" "az" "be" "bg" "bn" "br" "bs" "ca" "ckb" "cs" "cy" "da" "de" "dsb" "el" "en" "en-au" "en-gb" "eo" "es" "es-ar" "es-co" "es-mx" "es-ni" "es-ve" "et" "eu" "fa" "fi" "fr" "fy" "ga" "gd" "gl" "he" "hi" "hr" "hsb" "hu" "hy" "ia" "id" "ig" "io" "is" "it" "ja" "ka" "kab" "kk" "km" "kn" "ko" "ky" "lb" "lt" "lv" "mk" "ml" "mn" "mr" "ms" "my" "nb" "ne" "nl" "nn" "os" "pa" "pl" "pt" "pt-br" "ro" "ru" "sk" "sl" "sq" "sr" "sr-latn" "sv" "sw" "ta" "te" "tg" "th" "tk" "tr" "tt" "udm" "uk" "ur" "uz" "vi" "zh-hans" "zh-hant"

Responses

Response samples

Content type
No sample

service-instance-backup-restores

ListServiceInstanceBackupRestores

List service instance backup restores

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

uuid
Array of strings <uuid> [ items <uuid > ]

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetServiceInstanceBackupRestore

Get the details of a single service instance backup restore

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this service instance backup restore.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup_restore": "1dc2d530-6494-4e20-aa2a-a6d87328a950",
  • "service_instance_backup": "4161e5a6-3fef-4502-a0fe-dd044768b370",
  • "service_instance": "78fcb6d3-acaa-4596-a622-cccc1d676482",
  • "queued_at": "2019-08-24T14:15:22Z",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "errors": [
    ]
}

service-instance-backups

ListServiceInstanceBackups

List service instance backups

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

uuid
Array of strings <uuid> [ items <uuid > ]

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

GetServiceInstanceBackup

Get the details of a single service instance backup

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this service instance backup.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "backup": "dbd9d221-8e93-4901-bb73-e2d59863aa61",
  • "service": "cd8c5e52-093e-43db-9c42-184f00e681dd",
  • "service_instance": "78fcb6d3-acaa-4596-a622-cccc1d676482",
  • "service_type": "string",
  • "service_prefix": "string",
  • "size": -9223372036854776000,
  • "errors": [
    ],
  • "queued_at": "2019-08-24T14:15:22Z",
  • "started_at": "2019-08-24T14:15:22Z",
  • "ended_at": "2019-08-24T14:15:22Z",
  • "taken_at": "2019-08-24T14:15:22Z"
}

service-instances

ListServiceInstances

List service instances

Authorizations:
Token
query Parameters
environment
string <uuid>
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateServiceInstance

Create a new service instance object

Authorizations:
Token
Request Body schema:
required
environment
required
string <uuid>
prefix
required
string <= 32 characters
service
required
string <uuid>

Responses

Request samples

Content type
{
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "prefix": "string",
  • "service": "cd8c5e52-093e-43db-9c42-184f00e681dd"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "prefix": "string",
  • "service": "cd8c5e52-093e-43db-9c42-184f00e681dd"
}

GetServiceInstance

Get the details of a single service instance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "environment": "fafd1151-c401-4fdd-ac01-03d8e7a57166",
  • "region": "ac2f330e-0351-4cac-b9d3-953e54b3d1f8",
  • "service": "cd8c5e52-093e-43db-9c42-184f00e681dd",
  • "service_status": "NEW",
  • "last_status_update": "2019-08-24T14:15:22Z",
  • "prefix": "DEFAULT",
  • "type": "string",
  • "last_config_update": "2019-08-24T14:15:22Z",
  • "environment_variables": [
    ]
}

UpdateServiceInstance

Replace the specified service instance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Request Body schema:
required
prefix
required
string <= 32 characters

Responses

Request samples

Content type
{
  • "prefix": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "prefix": "string"
}

PartialUpdateServiceInstance

Partially update the specified service instance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Request Body schema:
prefix
string <= 32 characters

Responses

Request samples

Content type
{
  • "prefix": "string"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "prefix": "string"
}

DestroyServiceInstance

Delete the service instance. Only valid if the instance is not attached or pending attachment.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Responses

AttachServiceInstance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Responses

DetachServiceInstance

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Responses

ProvisionServiceInstance

Trigger provisioning of this service instance. Only valid if the state is NEW or PROVISIONING_FAILED, and the environment is not currently being deployed.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this instance.

Responses

services

ListServices

List services

Authorizations:
Token
query Parameters
identifier
string
is_backupable
boolean
is_self_manageable
boolean
name
string
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

region
Array of strings
type
string
Enum: "AMQP" "DATABASE" "SEARCH" "STORAGE"

Type of service, e.g. database, or object storage.

  • DATABASE - DATABASE
  • STORAGE - STORAGE
  • SEARCH - SEARCH
  • AMQP - AMQP
website
string <uuid>

Responses

Response samples

Content type
application/json
{}

GetService

Get the details of a single service

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this service.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "string",
  • "type": "DATABASE",
  • "description": "string",
  • "is_backupable": true,
  • "is_self_manageable": true,
  • "identifier": "string",
  • "requires_subscriptions": [
    ]
}

webhooks

ListWebhooks

List webhooks

Authorizations:
Token
query Parameters
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

repository
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "count": 123,
  • "results": [
    ]
}

CreateWebhook

Create a new webhook object

Authorizations:
Token
Request Body schema:
required
provider
required
string (ProviderEnum)
Enum: "GITLAB" "GITHUB" "BITBUCKET"
  • GITLAB - Gitlab
  • GITHUB - Github
  • BITBUCKET - Bitbucket
repository
required
string <uuid>

Responses

Request samples

Content type
{
  • "provider": "GITLAB",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "provider": "GITLAB",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b"
}

GetWebhook

Get the details of a single webhook

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this webhook.

Responses

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "repository": "e3d1beef-8819-44ce-aeb0-6d1f16e4ee3b",
  • "provider_class": "GITLAB",
  • "provider_config": null,
  • "trigger_url": "http://example.com",
  • "last_dispatch_at": "2019-08-24T14:15:22Z",
  • "last_dispatch_success": true,
  • "last_dispatch_message": "string",
  • "date_created": "2019-08-24T14:15:22Z",
  • "date_modified": "2019-08-24T14:15:22Z"
}

DestroyWebhook

Delete the specified webhook

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this webhook.

Responses

GenerateWebhookSecret

Generate a new secret for a webhook and returns it

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this webhook.

Responses

Response samples

Content type
application/json
{
  • "secret": "string"
}

WebhookRemoteInstall

Try to setup the webhook on the remote automatically. This currently only works for Github.

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this webhook.

Responses

TriggerWebhook

Trigger the webhook.

This function is publicly available and is the same endpoint for multiple different types of webhooks (e.g. Github, Gitlab, Bitbucket).

Authorizations:
Token
path Parameters
uuid
required
string <uuid>

A UUID string identifying this webhook.

Responses